function update_mouse(dt)
  local _X , _Y = love.mouse.getPosition()
  local mx , my = _X, _Y
  if mx == nil then
    mx = 0
  else
    mouse.x = math.floor(mx)
  end
  if my == nil then
    my = 0
  else
    mouse.y = math.floor(my)
  end
end

function update_anim8(dt)
  for i = 1, 4 do
    sprite.animation[i]:update(dt)
    body.animation[i]:update(dt)
    skin.animation[bodyDirection[i]]:update(dt)
  end
end

function update_canvas(dt)
  --update sprite body
  setCanvas(face.canvas,face.profile[face.index])
  --update sprite canvas
  sprite.base = love.graphics.newImage("img/base_"..body.select.."_64x128.png")
  setCanvas(sprite.canvas,sprite.base)
end
