function love.load()
x = 0
y = 0
mask = {
200,130,
400,130,
350,300,
250,300
}
v = {}
step = 1
  for i=1, (#mask)-1, 2 do
    local xi = i
    local yi = i+1
	local lim = (#mask)/2
    if step <= lim then
      v[step] = {}
	  v[step].x = mask[xi]
	  v[step].y = mask[yi]
	  step = step + 1
    end
  end

test = ""
end

function love.update(dt)
	x = love.mouse.getX()
	y = love.mouse.getY()
	if not(x == nil) and not(y == nil) then
		if polyPoint(v,x,y) then
			test = "collision"
		else
			test = ""
		end
	else
		test = "out-of-screen"
	end
end

function love.draw()
	love.graphics.polygon("line",mask)
    if not(x == nil) then
      love.graphics.print("x:"..math.floor(x),0,0)
    end
    if not(y == nil) then
      love.graphics.print("y:"..math.floor(y),0,16)
    end
    love.graphics.print(""..test,0,32)
	for i=1, #v do
		love.graphics.print("x:"..v[i].x,540,(i*16)-16)
		love.graphics.print("y:"..v[i].y,580,(i*16)-16)
	end
end

function polyPoint(vertices,px,py)
local collision = false
local next = 1
  for current = 1, #vertices do
    next = current + 1
    if (next > #vertices) then
      next = 1
    end
    local vc = vertices[current]
    local vn = vertices[next]
    if (((vc.y >= py and vn.y < py) or (vc.y < py and vn.y >= py)) and
    (px < (vn.x-vc.x)*(py-vc.y) / (vn.y-vc.y)+vc.x)) then
        collision = not(collision)
    end
  end
  return collision
end
