require "macro"
require "lua/update"
require "lua/draw"
require "lua/input"

function love.load(arg)
  require "lua/load"
end

function love.update(dt)
  update_mouse(dt)
  update_anim8(dt)
  update_canvas(dt)
end

function love.draw()
    --draw_grid(1,1,1,0.25,u/4)
    draw_console("dir")
    if labels.select == "Body" then
      draw_body()
      draw_anim8body()
    else
      draw_sprite()
      draw_bigsprite(sprite.select)
      draw_anim8sprite()
    end
    draw_face()
    draw_labels()
end
